org.apache.xmpbox.type

## Class PDFASchemaType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.PDFASchemaType

    public class PDFASchemaType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `NAMESPACE_URI`
`static String` `PREFIX`
`static String` `PROPERTY`
`static String` `SCHEMA`
`static String` `VALUE_TYPE`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`PDFASchemaType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNamespaceURI()`
`String` `getPrefixValue()`
`ArrayProperty` `getProperty()`
`ArrayProperty` `getValueType()`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA

    public static final String SCHEMA

See Also:
  Constant Field Values

#### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

#### PREFIX

    public static final String PREFIX

See Also:
  Constant Field Values

#### PROPERTY

    public static final String PROPERTY

See Also:
  Constant Field Values

#### VALUE_TYPE

    public static final String VALUE_TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### PDFASchemaType

    public PDFASchemaType(XMPMetadata metadata)

### Method Detail

#### getNamespaceURI

    public String getNamespaceURI()

#### getPrefixValue

    public String getPrefixValue()

#### getProperty

    public ArrayProperty getProperty()

#### getValueType

    public ArrayProperty getValueType()